xraylib
=======

This is xraylib, a library for X-ray matter interactions cross sections for X-ray fluorescence applications: core C library


This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Availability
============

The current stable version of xraylib is always available from http://github.com/tschoonj/xraylib

Installation
============

xraylib follows the standard GNU installation procedure. Please consult the INSTALL file in this distribution for more detailed instructions. 
An installer for Windows including a 32-bit dll and the xraylib headers is also available from the Download section of the github repository. 

For information about specific platforms and compilers see the "Compilation Notes" section in the INSTALL file.

More information about xraylib
==============================

The project homepage is http://ftp.esrf.eu/pub/scisoft/xraylib/readme.html

See the Changelog file for recent changes to the library.

In 2004 an article was published about xraylib: A. Brunetti, M. Sanchez del Rio, B. Golosio, A. Simionovici and A. Somogyi, "A library for X-ray matter interaction cross sections for X-ray fluorescence applications",  Spectrochimica Acta B 59 (2004) 1725-1731 (doi: http://dx.doi.org/10.1016/j.sab.2004.03.014)

If you would publish scientific results that were obtained using xraylib, please refer to this paper.

We recently started a mailinglist. Subscription is possible at https://lists.ugent.be/sympa/info/xraylib

Reporting bugs
==============

A list of known bugs can be found in the BUGS file. Details of compilation problems can be found in the INSTALL file.

If you would encounter a bug which is not covered in these files please report it in the Issues section http://github.com/tschoonj/xraylib

Contributing to xraylib
=======================

If you are interested in participating in xraylib development, please see the webpage at http://ftp.esrf.eu/pub/scisoft/xraylib/readme.html



